package com.yeejoin.precontrol.common.enums;

public enum BadTypeEnum {
	/*
	 * 人员
	 */
	PERSON("人员行为性违章", 0),
	/**
	 * 装置
	 */
	DEVICE("装置性违章", 1),
	/**
	 * 指挥
	 */
	COMMAND("指挥性违章", 2);

	private String label;
	private int value;

	BadTypeEnum(String label, int value) {
		this.label = label;
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public static String getLabelByValue(int value) {
		String label = null;
		for (BadTypeEnum type : BadTypeEnum.values()) {
			if (type.getValue() == value) {
				label = type.getLabel();
				break;
			}
		}
		return label;
	}
}
